# coding: utf-8
# /*##########################################################################
#
# Copyright (c) 2015-2016 European Synchrotron Radiation Facility
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# ###########################################################################*/

from __future__ import absolute_import

__authors__ = ["D. Naudet"]
__license__ = "MIT"
__date__ = "15/09/2016"

from silx.gui import qt as Qt


class GroupBox(Qt.QGroupBox):
    def __init__(self, *args, **kwargs):
        super(GroupBox, self).__init__(*args, **kwargs)
        self.setStyleSheet(
            """
            GroupBox {
               border: 2px solid gray;
               margin-top: 2ex;
               border-radius: 5px
            }

            GroupBox::title {
                subcontrol-origin: margin;
                subcontrol-position: top center;
                padding: 0 3px;
                background-color:
                    qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,
                                    stop: 0 lightgray, stop: 1 gray);
                border-radius: 5px;
            }
            """)


class SubGroupBox(Qt.QGroupBox):
    def __init__(self, *args, **kwargs):
        super(SubGroupBox, self).__init__(*args, **kwargs)
        self.setStyleSheet(
            """
            SubGroupBox {
               border: 1px inset gray;
               border-radius: 2px;
               padding-top: 3.5ex;
            }

            SubGroupBox::title {
                subcontrol-origin: padding;
                subcontrol-position: top left;
                border-radius: 0px;
                border: 1px outset gray;
                background-color:
                    qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,
                                    stop: 0 gray, stop: 1 lightgray);
            }
            """)
